Package com.ocient.jdbc.proto

# Class ClientWireProtocol.Request

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
com.ocient.jdbc.proto.ClientWireProtocol.Request

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.RequestOrBuilder`, `Serializable`

Enclosing class:
  `ClientWireProtocol`

public static final class ClientWireProtocol.Request extends com.google.protobuf.GeneratedMessageV3 implements ClientWireProtocol.RequestOrBuilder

     The request has a type and then the relevant optional field is
     filled.

Protobuf type `xg.cmdcomp.Request`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`ClientWireProtocol.Request.Builder`
The request has a type and then the relevant optional field is filled.
`static enum`
`ClientWireProtocol.Request.RequestOneofCase`
`static enum`
`ClientWireProtocol.Request.RequestType`
Protobuf enum `xg.cmdcomp.Request.RequestType`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ATTACH_TO_QUERY_FIELD_NUMBER`
`static final int`
`CANCEL_QUERY_FIELD_NUMBER`
`static final int`
`CHECK_DATA_FIELD_NUMBER`
`static final int`
`CLEAR_CACHE_FIELD_NUMBER`
`static final int`
`CLIENT_CONNECTION_FIELD_NUMBER`
`static final int`
`CLIENT_CONNECTION_GCM_FIELD_NUMBER`
`static final int`
`CLIENT_CONNECTION_GCM2_FIELD_NUMBER`
`static final int`
`CLIENT_CONNECTION_REFRESH_SESSION_FIELD_NUMBER`
`static final int`
`CLIENT_CONNECTION_REFRESH_TOKEN_FIELD_NUMBER`
`static final int`
`CLIENT_CONNECTION_SECURITY_TOKEN_FIELD_NUMBER`
`static final int`
`CLIENT_CONNECTION_SSO_FIELD_NUMBER`
`static final int`
`CLIENT_CONNECTION_SSO2_FIELD_NUMBER`
`static final int`
`CLIENT_CONNECTION2_FIELD_NUMBER`
`static final int`
`CLOSE_CONNECTION_FIELD_NUMBER`
`static final int`
`CLOSE_RESULT_SET_FIELD_NUMBER`
`static final int`
`EXECUTE_EXPLAIN_FIELD_NUMBER`
`static final int`
`EXECUTE_EXPLAIN_FOR_SPARK_FIELD_NUMBER`
`static final int`
`EXECUTE_EXPORT_FIELD_NUMBER`
`static final int`
`EXECUTE_INLINE_PLAN_FIELD_NUMBER`
`static final int`
`EXECUTE_PLAN_FIELD_NUMBER`
`static final int`
`EXECUTE_QUERY_FIELD_NUMBER`
`static final int`
`EXECUTE_UPDATE_FIELD_NUMBER`
`static final int`
`EXPLAIN_PIPELINE_FIELD_NUMBER`
`static final int`
`EXPLAIN_PLAN_FIELD_NUMBER`
`static final int`
`FETCH_AUTHENTICATORS_FIELD_NUMBER`
`static final int`
`FETCH_DATA_FIELD_NUMBER`
`static final int`
`FETCH_METADATA_FIELD_NUMBER`
`static final int`
`FETCH_SYSTEM_METADATA_FIELD_NUMBER`
`static final int`
`FORCE_EXTERNAL_FIELD_NUMBER`
`static final int`
`GET_SCHEMA_FIELD_NUMBER`
`static final int`
`KILL_QUERY_FIELD_NUMBER`
`static final int`
`LIST_PLAN_FIELD_NUMBER`
`static final int`
`LOCAL_QUERIES_FIELD_NUMBER`
`static final int`
`SET_PARAMETER_FIELD_NUMBER`
`static final int`
`SET_SCHEMA_FIELD_NUMBER`
`static final int`
`SYSTEM_WIDE_COMPLETED_QUERIES_FIELD_NUMBER`
`static final int`
`SYSTEM_WIDE_QUERIES_FIELD_NUMBER`
`static final int`
`TEST_CONNECTION_FIELD_NUMBER`
`static final int`
`TYPE_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`ClientWireProtocol.AttachToQuery`
`getAttachToQuery()`
SetPSO set_pso = 27; // Deprecated 28 is defined above 29 is defined above
`ClientWireProtocol.AttachToQueryOrBuilder`
`getAttachToQueryOrBuilder()`
SetPSO set_pso = 27; // Deprecated 28 is defined above 29 is defined above
`ClientWireProtocol.CancelQuery`
`getCancelQuery()`
`.xg.cmdcomp.CancelQuery cancel_query = 17;`
`ClientWireProtocol.CancelQueryOrBuilder`
`getCancelQueryOrBuilder()`
`.xg.cmdcomp.CancelQuery cancel_query = 17;`
`ClientWireProtocol.CheckDataRequest`
`getCheckData()`
Deprecated.
xg.cmdcomp.Request.check_data is deprecated.
`ClientWireProtocol.CheckDataRequestOrBuilder`
`getCheckDataOrBuilder()`
Deprecated.
`ClientWireProtocol.ClearCache`
`getClearCache()`
`.xg.cmdcomp.ClearCache clear_cache = 41;`
`ClientWireProtocol.ClearCacheOrBuilder`
`getClearCacheOrBuilder()`
`.xg.cmdcomp.ClearCache clear_cache = 41;`
`ClientWireProtocol.ClientConnection`
`getClientConnection()`
`.xg.cmdcomp.ClientConnection client_connection = 2;`
`ClientWireProtocol.ClientConnection2`
`getClientConnection2()`
`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`
`ClientWireProtocol.ClientConnection2OrBuilder`
`getClientConnection2OrBuilder()`
`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`
`ClientWireProtocol.ClientConnectionGCM`
`getClientConnectionGcm()`
`.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`
`ClientWireProtocol.ClientConnectionGCM2`
`getClientConnectionGcm2()`
`.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`
`ClientWireProtocol.ClientConnectionGCM2OrBuilder`
`getClientConnectionGcm2OrBuilder()`
`.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`
`ClientWireProtocol.ClientConnectionGCMOrBuilder`
`getClientConnectionGcmOrBuilder()`
`.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`
`ClientWireProtocol.ClientConnectionOrBuilder`
`getClientConnectionOrBuilder()`
`.xg.cmdcomp.ClientConnection client_connection = 2;`
`ClientWireProtocol.ClientConnectionRefreshSession`
`getClientConnectionRefreshSession()`
`.xg.cmdcomp.ClientConnectionRefreshSession client_connection_refresh_session = 45;`
`ClientWireProtocol.ClientConnectionRefreshSessionOrBuilder`
`getClientConnectionRefreshSessionOrBuilder()`
`.xg.cmdcomp.ClientConnectionRefreshSession client_connection_refresh_session = 45;`
`ClientWireProtocol.ClientConnectionRefreshToken`
`getClientConnectionRefreshToken()`
`.xg.cmdcomp.ClientConnectionRefreshToken client_connection_refresh_token = 46;`
`ClientWireProtocol.ClientConnectionRefreshTokenOrBuilder`
`getClientConnectionRefreshTokenOrBuilder()`
`.xg.cmdcomp.ClientConnectionRefreshToken client_connection_refresh_token = 46;`
`ClientWireProtocol.ClientConnectionSecurityToken`
`getClientConnectionSecurityToken()`
`.xg.cmdcomp.ClientConnectionSecurityToken client_connection_security_token = 44;`
`ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder`
`getClientConnectionSecurityTokenOrBuilder()`
`.xg.cmdcomp.ClientConnectionSecurityToken client_connection_security_token = 44;`
`ClientWireProtocol.ClientConnectionSSO`
`getClientConnectionSso()`
`.xg.cmdcomp.ClientConnectionSSO client_connection_sso = 42;`
`ClientWireProtocol.ClientConnectionSSO2`
`getClientConnectionSso2()`
`.xg.cmdcomp.ClientConnectionSSO2 client_connection_sso2 = 43;`
`ClientWireProtocol.ClientConnectionSSO2OrBuilder`
`getClientConnectionSso2OrBuilder()`
`.xg.cmdcomp.ClientConnectionSSO2 client_connection_sso2 = 43;`
`ClientWireProtocol.ClientConnectionSSOOrBuilder`
`getClientConnectionSsoOrBuilder()`
`.xg.cmdcomp.ClientConnectionSSO client_connection_sso = 42;`
`ClientWireProtocol.CloseConnection`
`getCloseConnection()`
`.xg.cmdcomp.CloseConnection close_connection = 5;`
`ClientWireProtocol.CloseConnectionOrBuilder`
`getCloseConnectionOrBuilder()`
`.xg.cmdcomp.CloseConnection close_connection = 5;`
`ClientWireProtocol.CloseResultSet`
`getCloseResultSet()`
`.xg.cmdcomp.CloseResultSet close_result_set = 10;`
`ClientWireProtocol.CloseResultSetOrBuilder`
`getCloseResultSetOrBuilder()`
`.xg.cmdcomp.CloseResultSet close_result_set = 10;`
`static ClientWireProtocol.Request`
`getDefaultInstance()`
`ClientWireProtocol.Request`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`ClientWireProtocol.ExecuteExplain`
`getExecuteExplain()`
`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`
`ClientWireProtocol.ExecuteExplainForSpark`
`getExecuteExplainForSpark()`
Spark Deprecated
`ClientWireProtocol.ExecuteExplainForSparkOrBuilder`
`getExecuteExplainForSparkOrBuilder()`
Spark Deprecated
`ClientWireProtocol.ExecuteExplainOrBuilder`
`getExecuteExplainOrBuilder()`
`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`
`ClientWireProtocol.ExecuteExport`
`getExecuteExport()`
`.xg.cmdcomp.ExecuteExport execute_export = 26;`
`ClientWireProtocol.ExecuteExportOrBuilder`
`getExecuteExportOrBuilder()`
`.xg.cmdcomp.ExecuteExport execute_export = 26;`
`ClientWireProtocol.ExecuteInlinePlan`
`getExecuteInlinePlan()`
`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`
`ClientWireProtocol.ExecuteInlinePlanOrBuilder`
`getExecuteInlinePlanOrBuilder()`
`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`
`ClientWireProtocol.ExecutePlan`
`getExecutePlan()`
`.xg.cmdcomp.ExecutePlan execute_plan = 20;`
`ClientWireProtocol.ExecutePlanOrBuilder`
`getExecutePlanOrBuilder()`
`.xg.cmdcomp.ExecutePlan execute_plan = 20;`
`ClientWireProtocol.ExecuteQuery`
`getExecuteQuery()`
`.xg.cmdcomp.ExecuteQuery execute_query = 11;`
`ClientWireProtocol.ExecuteQueryOrBuilder`
`getExecuteQueryOrBuilder()`
`.xg.cmdcomp.ExecuteQuery execute_query = 11;`
`ClientWireProtocol.ExecuteUpdate`
`getExecuteUpdate()`
`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`
`ClientWireProtocol.ExecuteUpdateOrBuilder`
`getExecuteUpdateOrBuilder()`
`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`
`ClientWireProtocol.ExplainPipelineRequest`
`getExplainPipeline()`
`.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`
`ClientWireProtocol.ExplainPipelineRequestOrBuilder`
`getExplainPipelineOrBuilder()`
`.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`
`ClientWireProtocol.ExplainPlan`
`getExplainPlan()`
`.xg.cmdcomp.ExplainPlan explain_plan = 21;`
`ClientWireProtocol.ExplainPlanOrBuilder`
`getExplainPlanOrBuilder()`
`.xg.cmdcomp.ExplainPlan explain_plan = 21;`
`ClientWireProtocol.FetchAuthenticators`
`getFetchAuthenticators()`
`.xg.cmdcomp.FetchAuthenticators fetch_authenticators = 51;`
`ClientWireProtocol.FetchAuthenticatorsOrBuilder`
`getFetchAuthenticatorsOrBuilder()`
`.xg.cmdcomp.FetchAuthenticators fetch_authenticators = 51;`
`ClientWireProtocol.FetchData`
`getFetchData()`
`.xg.cmdcomp.FetchData fetch_data = 8;`
`ClientWireProtocol.FetchDataOrBuilder`
`getFetchDataOrBuilder()`
`.xg.cmdcomp.FetchData fetch_data = 8;`
`ClientWireProtocol.FetchMetadata`
`getFetchMetadata()`
`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`
`ClientWireProtocol.FetchMetadataOrBuilder`
`getFetchMetadataOrBuilder()`
`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`
`ClientWireProtocol.FetchSystemMetadata`
`getFetchSystemMetadata()`
`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`
`ClientWireProtocol.FetchSystemMetadataOrBuilder`
`getFetchSystemMetadataOrBuilder()`
`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`
`ClientWireProtocol.ForceExternal`
`getForceExternal()`
Deprecated.
xg.cmdcomp.Request.force_external is deprecated.
`ClientWireProtocol.ForceExternalOrBuilder`
`getForceExternalOrBuilder()`
Deprecated.
`ClientWireProtocol.GetSchema`
`getGetSchema()`
`.xg.cmdcomp.GetSchema get_schema = 4;`
`ClientWireProtocol.GetSchemaOrBuilder`
`getGetSchemaOrBuilder()`
`.xg.cmdcomp.GetSchema get_schema = 4;`
`ClientWireProtocol.KillQuery`
`getKillQuery()`
`.xg.cmdcomp.KillQuery kill_query = 23;`
`ClientWireProtocol.KillQueryOrBuilder`
`getKillQueryOrBuilder()`
`.xg.cmdcomp.KillQuery kill_query = 23;`
`ClientWireProtocol.ListPlan`
`getListPlan()`
`.xg.cmdcomp.ListPlan list_plan = 22;`
`ClientWireProtocol.ListPlanOrBuilder`
`getListPlanOrBuilder()`
`.xg.cmdcomp.ListPlan list_plan = 22;`
`ClientWireProtocol.LocalQueries`
`getLocalQueries()`
`.xg.cmdcomp.LocalQueries local_queries = 19;`
`ClientWireProtocol.LocalQueriesOrBuilder`
`getLocalQueriesOrBuilder()`
`.xg.cmdcomp.LocalQueries local_queries = 19;`
`com.google.protobuf.Parser<ClientWireProtocol.Request>`
`getParserForType()`
`ClientWireProtocol.Request.RequestOneofCase`
`getRequestOneofCase()`
`int`
`getSerializedSize()`
`ClientWireProtocol.SetParameter`
`getSetParameter()`
31 is defined above
`ClientWireProtocol.SetParameterOrBuilder`
`getSetParameterOrBuilder()`
31 is defined above
`ClientWireProtocol.SetSchema`
`getSetSchema()`
`.xg.cmdcomp.SetSchema set_schema = 6;`
`ClientWireProtocol.SetSchemaOrBuilder`
`getSetSchemaOrBuilder()`
`.xg.cmdcomp.SetSchema set_schema = 6;`
`ClientWireProtocol.SystemWideCompletedQueries`
`getSystemWideCompletedQueries()`
Deprecated
`ClientWireProtocol.SystemWideCompletedQueriesOrBuilder`
`getSystemWideCompletedQueriesOrBuilder()`
Deprecated
`ClientWireProtocol.SystemWideQueries`
`getSystemWideQueries()`
Deprecated
`ClientWireProtocol.SystemWideQueriesOrBuilder`
`getSystemWideQueriesOrBuilder()`
Deprecated
`ClientWireProtocol.TestConnection`
`getTestConnection()`
`.xg.cmdcomp.TestConnection test_connection = 7;`
`ClientWireProtocol.TestConnectionOrBuilder`
`getTestConnectionOrBuilder()`
`.xg.cmdcomp.TestConnection test_connection = 7;`
`ClientWireProtocol.Request.RequestType`
`getType()`
`.xg.cmdcomp.Request.RequestType type = 1;`
`int`
`getTypeValue()`
`.xg.cmdcomp.Request.RequestType type = 1;`
`boolean`
`hasAttachToQuery()`
SetPSO set_pso = 27; // Deprecated 28 is defined above 29 is defined above
`boolean`
`hasCancelQuery()`
`.xg.cmdcomp.CancelQuery cancel_query = 17;`
`boolean`
`hasCheckData()`
Deprecated.
xg.cmdcomp.Request.check_data is deprecated.
`boolean`
`hasClearCache()`
`.xg.cmdcomp.ClearCache clear_cache = 41;`
`boolean`
`hasClientConnection()`
`.xg.cmdcomp.ClientConnection client_connection = 2;`
`boolean`
`hasClientConnection2()`
`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`
`boolean`
`hasClientConnectionGcm()`
`.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`
`boolean`
`hasClientConnectionGcm2()`
`.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`
`boolean`
`hasClientConnectionRefreshSession()`
`.xg.cmdcomp.ClientConnectionRefreshSession client_connection_refresh_session = 45;`
`boolean`
`hasClientConnectionRefreshToken()`
`.xg.cmdcomp.ClientConnectionRefreshToken client_connection_refresh_token = 46;`
`boolean`
`hasClientConnectionSecurityToken()`
`.xg.cmdcomp.ClientConnectionSecurityToken client_connection_security_token = 44;`
`boolean`
`hasClientConnectionSso()`
`.xg.cmdcomp.ClientConnectionSSO client_connection_sso = 42;`
`boolean`
`hasClientConnectionSso2()`
`.xg.cmdcomp.ClientConnectionSSO2 client_connection_sso2 = 43;`
`boolean`
`hasCloseConnection()`
`.xg.cmdcomp.CloseConnection close_connection = 5;`
`boolean`
`hasCloseResultSet()`
`.xg.cmdcomp.CloseResultSet close_result_set = 10;`
`boolean`
`hasExecuteExplain()`
`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`
`boolean`
`hasExecuteExplainForSpark()`
Spark Deprecated
`boolean`
`hasExecuteExport()`
`.xg.cmdcomp.ExecuteExport execute_export = 26;`
`boolean`
`hasExecuteInlinePlan()`
`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`
`boolean`
`hasExecutePlan()`
`.xg.cmdcomp.ExecutePlan execute_plan = 20;`
`boolean`
`hasExecuteQuery()`
`.xg.cmdcomp.ExecuteQuery execute_query = 11;`
`boolean`
`hasExecuteUpdate()`
`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`
`boolean`
`hasExplainPipeline()`
`.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`
`boolean`
`hasExplainPlan()`
`.xg.cmdcomp.ExplainPlan explain_plan = 21;`
`boolean`
`hasFetchAuthenticators()`
`.xg.cmdcomp.FetchAuthenticators fetch_authenticators = 51;`
`boolean`
`hasFetchData()`
`.xg.cmdcomp.FetchData fetch_data = 8;`
`boolean`
`hasFetchMetadata()`
`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`
`boolean`
`hasFetchSystemMetadata()`
`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`
`boolean`
`hasForceExternal()`
Deprecated.
xg.cmdcomp.Request.force_external is deprecated.
`boolean`
`hasGetSchema()`
`.xg.cmdcomp.GetSchema get_schema = 4;`
`int`
`hashCode()`
`boolean`
`hasKillQuery()`
`.xg.cmdcomp.KillQuery kill_query = 23;`
`boolean`
`hasListPlan()`
`.xg.cmdcomp.ListPlan list_plan = 22;`
`boolean`
`hasLocalQueries()`
`.xg.cmdcomp.LocalQueries local_queries = 19;`
`boolean`
`hasSetParameter()`
31 is defined above
`boolean`
`hasSetSchema()`
`.xg.cmdcomp.SetSchema set_schema = 6;`
`boolean`
`hasSystemWideCompletedQueries()`
Deprecated
`boolean`
`hasSystemWideQueries()`
Deprecated
`boolean`
`hasTestConnection()`
`.xg.cmdcomp.TestConnection test_connection = 7;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`static ClientWireProtocol.Request.Builder`
`newBuilder()`
`static ClientWireProtocol.Request.Builder`
`newBuilder(ClientWireProtocol.Request prototype)`
`ClientWireProtocol.Request.Builder`
`newBuilderForType()`
`protected ClientWireProtocol.Request.Builder`
`newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object`
`newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static ClientWireProtocol.Request`
`parseDelimitedFrom(InputStream input)`
`static ClientWireProtocol.Request`
`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.Request`
`parseFrom(byte[] data)`
`static ClientWireProtocol.Request`
`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.Request`
`parseFrom(com.google.protobuf.ByteString data)`
`static ClientWireProtocol.Request`
`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.Request`
`parseFrom(com.google.protobuf.CodedInputStream input)`
`static ClientWireProtocol.Request`
`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.Request`
`parseFrom(InputStream input)`
`static ClientWireProtocol.Request`
`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.Request`
`parseFrom(ByteBuffer data)`
`static ClientWireProtocol.Request`
`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<ClientWireProtocol.Request>`
`parser()`
`ClientWireProtocol.Request.Builder`
`toBuilder()`
`void`
`writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, isStringEmpty, makeExtensionsImmutable, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Field Details

### TYPE_FIELD_NUMBER

public static final int TYPE_FIELD_NUMBER

See Also:
  - Constant Field Values

### CLIENT_CONNECTION_FIELD_NUMBER

public static final int CLIENT_CONNECTION_FIELD_NUMBER

See Also:
  - Constant Field Values

### CLIENT_CONNECTION2_FIELD_NUMBER

public static final int CLIENT_CONNECTION2_FIELD_NUMBER

See Also:
  - Constant Field Values

### GET_SCHEMA_FIELD_NUMBER

public static final int GET_SCHEMA_FIELD_NUMBER

See Also:
  - Constant Field Values

### CLOSE_CONNECTION_FIELD_NUMBER

public static final int CLOSE_CONNECTION_FIELD_NUMBER

See Also:
  - Constant Field Values

### SET_SCHEMA_FIELD_NUMBER

public static final int SET_SCHEMA_FIELD_NUMBER

See Also:
  - Constant Field Values

### TEST_CONNECTION_FIELD_NUMBER

public static final int TEST_CONNECTION_FIELD_NUMBER

See Also:
  - Constant Field Values

### FETCH_DATA_FIELD_NUMBER

public static final int FETCH_DATA_FIELD_NUMBER

See Also:
  - Constant Field Values

### FETCH_METADATA_FIELD_NUMBER

public static final int FETCH_METADATA_FIELD_NUMBER

See Also:
  - Constant Field Values

### CLOSE_RESULT_SET_FIELD_NUMBER

public static final int CLOSE_RESULT_SET_FIELD_NUMBER

See Also:
  - Constant Field Values

### EXECUTE_QUERY_FIELD_NUMBER

public static final int EXECUTE_QUERY_FIELD_NUMBER

See Also:
  - Constant Field Values

### EXECUTE_EXPLAIN_FIELD_NUMBER

public static final int EXECUTE_EXPLAIN_FIELD_NUMBER

See Also:
  - Constant Field Values

### EXECUTE_EXPLAIN_FOR_SPARK_FIELD_NUMBER

public static final int EXECUTE_EXPLAIN_FOR_SPARK_FIELD_NUMBER

See Also:
  - Constant Field Values

### EXECUTE_UPDATE_FIELD_NUMBER

public static final int EXECUTE_UPDATE_FIELD_NUMBER

See Also:
  - Constant Field Values

### FETCH_SYSTEM_METADATA_FIELD_NUMBER

public static final int FETCH_SYSTEM_METADATA_FIELD_NUMBER

See Also:
  - Constant Field Values

### CANCEL_QUERY_FIELD_NUMBER

public static final int CANCEL_QUERY_FIELD_NUMBER

See Also:
  - Constant Field Values

### SYSTEM_WIDE_QUERIES_FIELD_NUMBER

public static final int SYSTEM_WIDE_QUERIES_FIELD_NUMBER

See Also:
  - Constant Field Values

### LOCAL_QUERIES_FIELD_NUMBER

public static final int LOCAL_QUERIES_FIELD_NUMBER

See Also:
  - Constant Field Values

### SYSTEM_WIDE_COMPLETED_QUERIES_FIELD_NUMBER

public static final int SYSTEM_WIDE_COMPLETED_QUERIES_FIELD_NUMBER

See Also:
  - Constant Field Values

### EXECUTE_PLAN_FIELD_NUMBER

public static final int EXECUTE_PLAN_FIELD_NUMBER

See Also:
  - Constant Field Values

### EXPLAIN_PLAN_FIELD_NUMBER

public static final int EXPLAIN_PLAN_FIELD_NUMBER

See Also:
  - Constant Field Values

### LIST_PLAN_FIELD_NUMBER

public static final int LIST_PLAN_FIELD_NUMBER

See Also:
  - Constant Field Values

### KILL_QUERY_FIELD_NUMBER

public static final int KILL_QUERY_FIELD_NUMBER

See Also:
  - Constant Field Values

### EXECUTE_INLINE_PLAN_FIELD_NUMBER

public static final int EXECUTE_INLINE_PLAN_FIELD_NUMBER

See Also:
  - Constant Field Values

### FORCE_EXTERNAL_FIELD_NUMBER

public static final int FORCE_EXTERNAL_FIELD_NUMBER

See Also:
  - Constant Field Values

### EXECUTE_EXPORT_FIELD_NUMBER

public static final int EXECUTE_EXPORT_FIELD_NUMBER

See Also:
  - Constant Field Values

### ATTACH_TO_QUERY_FIELD_NUMBER

public static final int ATTACH_TO_QUERY_FIELD_NUMBER

See Also:
  - Constant Field Values

### SET_PARAMETER_FIELD_NUMBER

public static final int SET_PARAMETER_FIELD_NUMBER

See Also:
  - Constant Field Values

### EXPLAIN_PIPELINE_FIELD_NUMBER

public static final int EXPLAIN_PIPELINE_FIELD_NUMBER

See Also:
  - Constant Field Values

### CLIENT_CONNECTION_GCM_FIELD_NUMBER

public static final int CLIENT_CONNECTION_GCM_FIELD_NUMBER

See Also:
  - Constant Field Values

### CLIENT_CONNECTION_GCM2_FIELD_NUMBER

public static final int CLIENT_CONNECTION_GCM2_FIELD_NUMBER

See Also:
  - Constant Field Values

### CHECK_DATA_FIELD_NUMBER

public static final int CHECK_DATA_FIELD_NUMBER

See Also:
  - Constant Field Values

### CLEAR_CACHE_FIELD_NUMBER

public static final int CLEAR_CACHE_FIELD_NUMBER

See Also:
  - Constant Field Values

### CLIENT_CONNECTION_SSO_FIELD_NUMBER

public static final int CLIENT_CONNECTION_SSO_FIELD_NUMBER

See Also:
  - Constant Field Values

### CLIENT_CONNECTION_SSO2_FIELD_NUMBER

public static final int CLIENT_CONNECTION_SSO2_FIELD_NUMBER

See Also:
  - Constant Field Values

### CLIENT_CONNECTION_SECURITY_TOKEN_FIELD_NUMBER

public static final int CLIENT_CONNECTION_SECURITY_TOKEN_FIELD_NUMBER

See Also:
  - Constant Field Values

### CLIENT_CONNECTION_REFRESH_SESSION_FIELD_NUMBER

public static final int CLIENT_CONNECTION_REFRESH_SESSION_FIELD_NUMBER

See Also:
  - Constant Field Values

### CLIENT_CONNECTION_REFRESH_TOKEN_FIELD_NUMBER

public static final int CLIENT_CONNECTION_REFRESH_TOKEN_FIELD_NUMBER

See Also:
  - Constant Field Values

### FETCH_AUTHENTICATORS_FIELD_NUMBER

public static final int FETCH_AUTHENTICATORS_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### newInstance

protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

### getRequestOneofCase

public ClientWireProtocol.Request.RequestOneofCase getRequestOneofCase()

Specified by:
  `getRequestOneofCase` in interface `ClientWireProtocol.RequestOrBuilder`

### getTypeValue

public int getTypeValue()
`.xg.cmdcomp.Request.RequestType type = 1;`

Specified by:
  `getTypeValue` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The enum numeric value on the wire for type.

### getType

public ClientWireProtocol.Request.RequestType getType()
`.xg.cmdcomp.Request.RequestType type = 1;`

Specified by:
  `getType` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The type.

### hasClientConnection

public boolean hasClientConnection()
`.xg.cmdcomp.ClientConnection client_connection = 2;`

Specified by:
  `hasClientConnection` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the clientConnection field is set.

### getClientConnection

public ClientWireProtocol.ClientConnection getClientConnection()
`.xg.cmdcomp.ClientConnection client_connection = 2;`

Specified by:
  `getClientConnection` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The clientConnection.

### getClientConnectionOrBuilder

public ClientWireProtocol.ClientConnectionOrBuilder getClientConnectionOrBuilder()
`.xg.cmdcomp.ClientConnection client_connection = 2;`

Specified by:
  `getClientConnectionOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasClientConnection2

public boolean hasClientConnection2()
`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`

Specified by:
  `hasClientConnection2` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the clientConnection2 field is set.

### getClientConnection2

public ClientWireProtocol.ClientConnection2 getClientConnection2()
`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`

Specified by:
  `getClientConnection2` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The clientConnection2.

### getClientConnection2OrBuilder

public ClientWireProtocol.ClientConnection2OrBuilder getClientConnection2OrBuilder()
`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`

Specified by:
  `getClientConnection2OrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasGetSchema

public boolean hasGetSchema()
`.xg.cmdcomp.GetSchema get_schema = 4;`

Specified by:
  `hasGetSchema` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the getSchema field is set.

### getGetSchema

public ClientWireProtocol.GetSchema getGetSchema()
`.xg.cmdcomp.GetSchema get_schema = 4;`

Specified by:
  `getGetSchema` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The getSchema.

### getGetSchemaOrBuilder

public ClientWireProtocol.GetSchemaOrBuilder getGetSchemaOrBuilder()
`.xg.cmdcomp.GetSchema get_schema = 4;`

Specified by:
  `getGetSchemaOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasCloseConnection

public boolean hasCloseConnection()
`.xg.cmdcomp.CloseConnection close_connection = 5;`

Specified by:
  `hasCloseConnection` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the closeConnection field is set.

### getCloseConnection

public ClientWireProtocol.CloseConnection getCloseConnection()
`.xg.cmdcomp.CloseConnection close_connection = 5;`

Specified by:
  `getCloseConnection` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The closeConnection.

### getCloseConnectionOrBuilder

public ClientWireProtocol.CloseConnectionOrBuilder getCloseConnectionOrBuilder()
`.xg.cmdcomp.CloseConnection close_connection = 5;`

Specified by:
  `getCloseConnectionOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasSetSchema

public boolean hasSetSchema()
`.xg.cmdcomp.SetSchema set_schema = 6;`

Specified by:
  `hasSetSchema` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the setSchema field is set.

### getSetSchema

public ClientWireProtocol.SetSchema getSetSchema()
`.xg.cmdcomp.SetSchema set_schema = 6;`

Specified by:
  `getSetSchema` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The setSchema.

### getSetSchemaOrBuilder

public ClientWireProtocol.SetSchemaOrBuilder getSetSchemaOrBuilder()
`.xg.cmdcomp.SetSchema set_schema = 6;`

Specified by:
  `getSetSchemaOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasTestConnection

public boolean hasTestConnection()
`.xg.cmdcomp.TestConnection test_connection = 7;`

Specified by:
  `hasTestConnection` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the testConnection field is set.

### getTestConnection

public ClientWireProtocol.TestConnection getTestConnection()
`.xg.cmdcomp.TestConnection test_connection = 7;`

Specified by:
  `getTestConnection` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The testConnection.

### getTestConnectionOrBuilder

public ClientWireProtocol.TestConnectionOrBuilder getTestConnectionOrBuilder()
`.xg.cmdcomp.TestConnection test_connection = 7;`

Specified by:
  `getTestConnectionOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasFetchData

public boolean hasFetchData()
`.xg.cmdcomp.FetchData fetch_data = 8;`

Specified by:
  `hasFetchData` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the fetchData field is set.

### getFetchData

public ClientWireProtocol.FetchData getFetchData()
`.xg.cmdcomp.FetchData fetch_data = 8;`

Specified by:
  `getFetchData` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The fetchData.

### getFetchDataOrBuilder

public ClientWireProtocol.FetchDataOrBuilder getFetchDataOrBuilder()
`.xg.cmdcomp.FetchData fetch_data = 8;`

Specified by:
  `getFetchDataOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasFetchMetadata

public boolean hasFetchMetadata()
`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`

Specified by:
  `hasFetchMetadata` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the fetchMetadata field is set.

### getFetchMetadata

public ClientWireProtocol.FetchMetadata getFetchMetadata()
`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`

Specified by:
  `getFetchMetadata` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The fetchMetadata.

### getFetchMetadataOrBuilder

public ClientWireProtocol.FetchMetadataOrBuilder getFetchMetadataOrBuilder()
`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`

Specified by:
  `getFetchMetadataOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasCloseResultSet

public boolean hasCloseResultSet()
`.xg.cmdcomp.CloseResultSet close_result_set = 10;`

Specified by:
  `hasCloseResultSet` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the closeResultSet field is set.

### getCloseResultSet

public ClientWireProtocol.CloseResultSet getCloseResultSet()
`.xg.cmdcomp.CloseResultSet close_result_set = 10;`

Specified by:
  `getCloseResultSet` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The closeResultSet.

### getCloseResultSetOrBuilder

public ClientWireProtocol.CloseResultSetOrBuilder getCloseResultSetOrBuilder()
`.xg.cmdcomp.CloseResultSet close_result_set = 10;`

Specified by:
  `getCloseResultSetOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasExecuteQuery

public boolean hasExecuteQuery()
`.xg.cmdcomp.ExecuteQuery execute_query = 11;`

Specified by:
  `hasExecuteQuery` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the executeQuery field is set.

### getExecuteQuery

public ClientWireProtocol.ExecuteQuery getExecuteQuery()
`.xg.cmdcomp.ExecuteQuery execute_query = 11;`

Specified by:
  `getExecuteQuery` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The executeQuery.

### getExecuteQueryOrBuilder

public ClientWireProtocol.ExecuteQueryOrBuilder getExecuteQueryOrBuilder()
`.xg.cmdcomp.ExecuteQuery execute_query = 11;`

Specified by:
  `getExecuteQueryOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasExecuteExplain

public boolean hasExecuteExplain()
`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`

Specified by:
  `hasExecuteExplain` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the executeExplain field is set.

### getExecuteExplain

public ClientWireProtocol.ExecuteExplain getExecuteExplain()
`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`

Specified by:
  `getExecuteExplain` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The executeExplain.

### getExecuteExplainOrBuilder

public ClientWireProtocol.ExecuteExplainOrBuilder getExecuteExplainOrBuilder()
`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`

Specified by:
  `getExecuteExplainOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasExecuteExplainForSpark

public boolean hasExecuteExplainForSpark()

     Spark Deprecated

`.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`

Specified by:
  `hasExecuteExplainForSpark` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the executeExplainForSpark field is set.

### getExecuteExplainForSpark

public ClientWireProtocol.ExecuteExplainForSpark getExecuteExplainForSpark()

     Spark Deprecated

`.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`

Specified by:
  `getExecuteExplainForSpark` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The executeExplainForSpark.

### getExecuteExplainForSparkOrBuilder

public ClientWireProtocol.ExecuteExplainForSparkOrBuilder getExecuteExplainForSparkOrBuilder()

     Spark Deprecated

`.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`

Specified by:
  `getExecuteExplainForSparkOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasExecuteUpdate

public boolean hasExecuteUpdate()
`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`

Specified by:
  `hasExecuteUpdate` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the executeUpdate field is set.

### getExecuteUpdate

public ClientWireProtocol.ExecuteUpdate getExecuteUpdate()
`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`

Specified by:
  `getExecuteUpdate` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The executeUpdate.

### getExecuteUpdateOrBuilder

public ClientWireProtocol.ExecuteUpdateOrBuilder getExecuteUpdateOrBuilder()
`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`

Specified by:
  `getExecuteUpdateOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasFetchSystemMetadata

public boolean hasFetchSystemMetadata()
`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`

Specified by:
  `hasFetchSystemMetadata` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the fetchSystemMetadata field is set.

### getFetchSystemMetadata

public ClientWireProtocol.FetchSystemMetadata getFetchSystemMetadata()
`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`

Specified by:
  `getFetchSystemMetadata` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The fetchSystemMetadata.

### getFetchSystemMetadataOrBuilder

public ClientWireProtocol.FetchSystemMetadataOrBuilder getFetchSystemMetadataOrBuilder()
`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`

Specified by:
  `getFetchSystemMetadataOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasCancelQuery

public boolean hasCancelQuery()
`.xg.cmdcomp.CancelQuery cancel_query = 17;`

Specified by:
  `hasCancelQuery` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the cancelQuery field is set.

### getCancelQuery

public ClientWireProtocol.CancelQuery getCancelQuery()
`.xg.cmdcomp.CancelQuery cancel_query = 17;`

Specified by:
  `getCancelQuery` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The cancelQuery.

### getCancelQueryOrBuilder

public ClientWireProtocol.CancelQueryOrBuilder getCancelQueryOrBuilder()
`.xg.cmdcomp.CancelQuery cancel_query = 17;`

Specified by:
  `getCancelQueryOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasSystemWideQueries

public boolean hasSystemWideQueries()

     Deprecated

`.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`

Specified by:
  `hasSystemWideQueries` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the systemWideQueries field is set.

### getSystemWideQueries

public ClientWireProtocol.SystemWideQueries getSystemWideQueries()

     Deprecated

`.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`

Specified by:
  `getSystemWideQueries` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The systemWideQueries.

### getSystemWideQueriesOrBuilder

public ClientWireProtocol.SystemWideQueriesOrBuilder getSystemWideQueriesOrBuilder()

     Deprecated

`.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`

Specified by:
  `getSystemWideQueriesOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasLocalQueries

public boolean hasLocalQueries()
`.xg.cmdcomp.LocalQueries local_queries = 19;`

Specified by:
  `hasLocalQueries` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the localQueries field is set.

### getLocalQueries

public ClientWireProtocol.LocalQueries getLocalQueries()
`.xg.cmdcomp.LocalQueries local_queries = 19;`

Specified by:
  `getLocalQueries` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The localQueries.

### getLocalQueriesOrBuilder

public ClientWireProtocol.LocalQueriesOrBuilder getLocalQueriesOrBuilder()
`.xg.cmdcomp.LocalQueries local_queries = 19;`

Specified by:
  `getLocalQueriesOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasSystemWideCompletedQueries

public boolean hasSystemWideCompletedQueries()

     Deprecated

`.xg.cmdcomp.SystemWideCompletedQueries system_wide_completed_queries = 31;`

Specified by:
  `hasSystemWideCompletedQueries` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the systemWideCompletedQueries field is set.

### getSystemWideCompletedQueries

public ClientWireProtocol.SystemWideCompletedQueries getSystemWideCompletedQueries()

     Deprecated

`.xg.cmdcomp.SystemWideCompletedQueries system_wide_completed_queries = 31;`

Specified by:
  `getSystemWideCompletedQueries` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The systemWideCompletedQueries.

### getSystemWideCompletedQueriesOrBuilder

public ClientWireProtocol.SystemWideCompletedQueriesOrBuilder getSystemWideCompletedQueriesOrBuilder()

     Deprecated

`.xg.cmdcomp.SystemWideCompletedQueries system_wide_completed_queries = 31;`

Specified by:
  `getSystemWideCompletedQueriesOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasExecutePlan

public boolean hasExecutePlan()
`.xg.cmdcomp.ExecutePlan execute_plan = 20;`

Specified by:
  `hasExecutePlan` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the executePlan field is set.

### getExecutePlan

public ClientWireProtocol.ExecutePlan getExecutePlan()
`.xg.cmdcomp.ExecutePlan execute_plan = 20;`

Specified by:
  `getExecutePlan` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The executePlan.

### getExecutePlanOrBuilder

public ClientWireProtocol.ExecutePlanOrBuilder getExecutePlanOrBuilder()
`.xg.cmdcomp.ExecutePlan execute_plan = 20;`

Specified by:
  `getExecutePlanOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasExplainPlan

public boolean hasExplainPlan()
`.xg.cmdcomp.ExplainPlan explain_plan = 21;`

Specified by:
  `hasExplainPlan` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the explainPlan field is set.

### getExplainPlan

public ClientWireProtocol.ExplainPlan getExplainPlan()
`.xg.cmdcomp.ExplainPlan explain_plan = 21;`

Specified by:
  `getExplainPlan` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The explainPlan.

### getExplainPlanOrBuilder

public ClientWireProtocol.ExplainPlanOrBuilder getExplainPlanOrBuilder()
`.xg.cmdcomp.ExplainPlan explain_plan = 21;`

Specified by:
  `getExplainPlanOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasListPlan

public boolean hasListPlan()
`.xg.cmdcomp.ListPlan list_plan = 22;`

Specified by:
  `hasListPlan` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the listPlan field is set.

### getListPlan

public ClientWireProtocol.ListPlan getListPlan()
`.xg.cmdcomp.ListPlan list_plan = 22;`

Specified by:
  `getListPlan` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The listPlan.

### getListPlanOrBuilder

public ClientWireProtocol.ListPlanOrBuilder getListPlanOrBuilder()
`.xg.cmdcomp.ListPlan list_plan = 22;`

Specified by:
  `getListPlanOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasKillQuery

public boolean hasKillQuery()
`.xg.cmdcomp.KillQuery kill_query = 23;`

Specified by:
  `hasKillQuery` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the killQuery field is set.

### getKillQuery

public ClientWireProtocol.KillQuery getKillQuery()
`.xg.cmdcomp.KillQuery kill_query = 23;`

Specified by:
  `getKillQuery` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The killQuery.

### getKillQueryOrBuilder

public ClientWireProtocol.KillQueryOrBuilder getKillQueryOrBuilder()
`.xg.cmdcomp.KillQuery kill_query = 23;`

Specified by:
  `getKillQueryOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasExecuteInlinePlan

public boolean hasExecuteInlinePlan()
`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`

Specified by:
  `hasExecuteInlinePlan` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the executeInlinePlan field is set.

### getExecuteInlinePlan

public ClientWireProtocol.ExecuteInlinePlan getExecuteInlinePlan()
`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`

Specified by:
  `getExecuteInlinePlan` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The executeInlinePlan.

### getExecuteInlinePlanOrBuilder

public ClientWireProtocol.ExecuteInlinePlanOrBuilder getExecuteInlinePlanOrBuilder()
`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`

Specified by:
  `getExecuteInlinePlanOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasForceExternal

@Deprecated public boolean hasForceExternal()
Deprecated.
xg.cmdcomp.Request.force_external is deprecated. See libxgproto/sharedMessages/clientWireProtocol.proto;l=579
`.xg.cmdcomp.ForceExternal force_external = 25 [deprecated = true];`

Specified by:
  `hasForceExternal` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the forceExternal field is set.

### getForceExternal

@Deprecated public ClientWireProtocol.ForceExternal getForceExternal()
Deprecated.
xg.cmdcomp.Request.force_external is deprecated. See libxgproto/sharedMessages/clientWireProtocol.proto;l=579
`.xg.cmdcomp.ForceExternal force_external = 25 [deprecated = true];`

Specified by:
  `getForceExternal` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The forceExternal.

### getForceExternalOrBuilder

@Deprecated public ClientWireProtocol.ForceExternalOrBuilder getForceExternalOrBuilder()
Deprecated.
`.xg.cmdcomp.ForceExternal force_external = 25 [deprecated = true];`

Specified by:
  `getForceExternalOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasExecuteExport

public boolean hasExecuteExport()
`.xg.cmdcomp.ExecuteExport execute_export = 26;`

Specified by:
  `hasExecuteExport` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the executeExport field is set.

### getExecuteExport

public ClientWireProtocol.ExecuteExport getExecuteExport()
`.xg.cmdcomp.ExecuteExport execute_export = 26;`

Specified by:
  `getExecuteExport` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The executeExport.

### getExecuteExportOrBuilder

public ClientWireProtocol.ExecuteExportOrBuilder getExecuteExportOrBuilder()
`.xg.cmdcomp.ExecuteExport execute_export = 26;`

Specified by:
  `getExecuteExportOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasAttachToQuery

public boolean hasAttachToQuery()

     SetPSO set_pso = 27; // Deprecated
     28 is defined above
     29 is defined above

`.xg.cmdcomp.AttachToQuery attach_to_query = 30;`

Specified by:
  `hasAttachToQuery` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the attachToQuery field is set.

### getAttachToQuery

public ClientWireProtocol.AttachToQuery getAttachToQuery()

     SetPSO set_pso = 27; // Deprecated
     28 is defined above
     29 is defined above

`.xg.cmdcomp.AttachToQuery attach_to_query = 30;`

Specified by:
  `getAttachToQuery` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The attachToQuery.

### getAttachToQueryOrBuilder

public ClientWireProtocol.AttachToQueryOrBuilder getAttachToQueryOrBuilder()

     SetPSO set_pso = 27; // Deprecated
     28 is defined above
     29 is defined above

`.xg.cmdcomp.AttachToQuery attach_to_query = 30;`

Specified by:
  `getAttachToQueryOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasSetParameter

public boolean hasSetParameter()

     31 is defined above

`.xg.cmdcomp.SetParameter set_parameter = 35;`

Specified by:
  `hasSetParameter` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the setParameter field is set.

### getSetParameter

public ClientWireProtocol.SetParameter getSetParameter()

     31 is defined above

`.xg.cmdcomp.SetParameter set_parameter = 35;`

Specified by:
  `getSetParameter` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The setParameter.

### getSetParameterOrBuilder

public ClientWireProtocol.SetParameterOrBuilder getSetParameterOrBuilder()

     31 is defined above

`.xg.cmdcomp.SetParameter set_parameter = 35;`

Specified by:
  `getSetParameterOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasExplainPipeline

public boolean hasExplainPipeline()
`.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`

Specified by:
  `hasExplainPipeline` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the explainPipeline field is set.

### getExplainPipeline

public ClientWireProtocol.ExplainPipelineRequest getExplainPipeline()
`.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`

Specified by:
  `getExplainPipeline` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The explainPipeline.

### getExplainPipelineOrBuilder

public ClientWireProtocol.ExplainPipelineRequestOrBuilder getExplainPipelineOrBuilder()
`.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`

Specified by:
  `getExplainPipelineOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasClientConnectionGcm

public boolean hasClientConnectionGcm()
`.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`

Specified by:
  `hasClientConnectionGcm` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the clientConnectionGcm field is set.

### getClientConnectionGcm

public ClientWireProtocol.ClientConnectionGCM getClientConnectionGcm()
`.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`

Specified by:
  `getClientConnectionGcm` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The clientConnectionGcm.

### getClientConnectionGcmOrBuilder

public ClientWireProtocol.ClientConnectionGCMOrBuilder getClientConnectionGcmOrBuilder()
`.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`

Specified by:
  `getClientConnectionGcmOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasClientConnectionGcm2

public boolean hasClientConnectionGcm2()
`.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`

Specified by:
  `hasClientConnectionGcm2` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the clientConnectionGcm2 field is set.

### getClientConnectionGcm2

public ClientWireProtocol.ClientConnectionGCM2 getClientConnectionGcm2()
`.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`

Specified by:
  `getClientConnectionGcm2` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The clientConnectionGcm2.

### getClientConnectionGcm2OrBuilder

public ClientWireProtocol.ClientConnectionGCM2OrBuilder getClientConnectionGcm2OrBuilder()
`.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`

Specified by:
  `getClientConnectionGcm2OrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasCheckData

@Deprecated public boolean hasCheckData()
Deprecated.
xg.cmdcomp.Request.check_data is deprecated. See libxgproto/sharedMessages/clientWireProtocol.proto;l=590
`.xg.cmdcomp.CheckDataRequest check_data = 39 [deprecated = true];`

Specified by:
  `hasCheckData` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the checkData field is set.

### getCheckData

@Deprecated public ClientWireProtocol.CheckDataRequest getCheckData()
Deprecated.
xg.cmdcomp.Request.check_data is deprecated. See libxgproto/sharedMessages/clientWireProtocol.proto;l=590
`.xg.cmdcomp.CheckDataRequest check_data = 39 [deprecated = true];`

Specified by:
  `getCheckData` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The checkData.

### getCheckDataOrBuilder

@Deprecated public ClientWireProtocol.CheckDataRequestOrBuilder getCheckDataOrBuilder()
Deprecated.
`.xg.cmdcomp.CheckDataRequest check_data = 39 [deprecated = true];`

Specified by:
  `getCheckDataOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasClearCache

public boolean hasClearCache()
`.xg.cmdcomp.ClearCache clear_cache = 41;`

Specified by:
  `hasClearCache` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the clearCache field is set.

### getClearCache

public ClientWireProtocol.ClearCache getClearCache()
`.xg.cmdcomp.ClearCache clear_cache = 41;`

Specified by:
  `getClearCache` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The clearCache.

### getClearCacheOrBuilder

public ClientWireProtocol.ClearCacheOrBuilder getClearCacheOrBuilder()
`.xg.cmdcomp.ClearCache clear_cache = 41;`

Specified by:
  `getClearCacheOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasClientConnectionSso

public boolean hasClientConnectionSso()
`.xg.cmdcomp.ClientConnectionSSO client_connection_sso = 42;`

Specified by:
  `hasClientConnectionSso` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the clientConnectionSso field is set.

### getClientConnectionSso

public ClientWireProtocol.ClientConnectionSSO getClientConnectionSso()
`.xg.cmdcomp.ClientConnectionSSO client_connection_sso = 42;`

Specified by:
  `getClientConnectionSso` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The clientConnectionSso.

### getClientConnectionSsoOrBuilder

public ClientWireProtocol.ClientConnectionSSOOrBuilder getClientConnectionSsoOrBuilder()
`.xg.cmdcomp.ClientConnectionSSO client_connection_sso = 42;`

Specified by:
  `getClientConnectionSsoOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasClientConnectionSso2

public boolean hasClientConnectionSso2()
`.xg.cmdcomp.ClientConnectionSSO2 client_connection_sso2 = 43;`

Specified by:
  `hasClientConnectionSso2` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the clientConnectionSso2 field is set.

### getClientConnectionSso2

public ClientWireProtocol.ClientConnectionSSO2 getClientConnectionSso2()
`.xg.cmdcomp.ClientConnectionSSO2 client_connection_sso2 = 43;`

Specified by:
  `getClientConnectionSso2` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The clientConnectionSso2.

### getClientConnectionSso2OrBuilder

public ClientWireProtocol.ClientConnectionSSO2OrBuilder getClientConnectionSso2OrBuilder()
`.xg.cmdcomp.ClientConnectionSSO2 client_connection_sso2 = 43;`

Specified by:
  `getClientConnectionSso2OrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasClientConnectionSecurityToken

public boolean hasClientConnectionSecurityToken()
`.xg.cmdcomp.ClientConnectionSecurityToken client_connection_security_token = 44;`

Specified by:
  `hasClientConnectionSecurityToken` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the clientConnectionSecurityToken field is set.

### getClientConnectionSecurityToken

public ClientWireProtocol.ClientConnectionSecurityToken getClientConnectionSecurityToken()
`.xg.cmdcomp.ClientConnectionSecurityToken client_connection_security_token = 44;`

Specified by:
  `getClientConnectionSecurityToken` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The clientConnectionSecurityToken.

### getClientConnectionSecurityTokenOrBuilder

public ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder getClientConnectionSecurityTokenOrBuilder()
`.xg.cmdcomp.ClientConnectionSecurityToken client_connection_security_token = 44;`

Specified by:
  `getClientConnectionSecurityTokenOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasClientConnectionRefreshSession

public boolean hasClientConnectionRefreshSession()
`.xg.cmdcomp.ClientConnectionRefreshSession client_connection_refresh_session = 45;`

Specified by:
  `hasClientConnectionRefreshSession` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the clientConnectionRefreshSession field is set.

### getClientConnectionRefreshSession

public ClientWireProtocol.ClientConnectionRefreshSession getClientConnectionRefreshSession()
`.xg.cmdcomp.ClientConnectionRefreshSession client_connection_refresh_session = 45;`

Specified by:
  `getClientConnectionRefreshSession` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The clientConnectionRefreshSession.

### getClientConnectionRefreshSessionOrBuilder

public ClientWireProtocol.ClientConnectionRefreshSessionOrBuilder getClientConnectionRefreshSessionOrBuilder()
`.xg.cmdcomp.ClientConnectionRefreshSession client_connection_refresh_session = 45;`

Specified by:
  `getClientConnectionRefreshSessionOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasClientConnectionRefreshToken

public boolean hasClientConnectionRefreshToken()
`.xg.cmdcomp.ClientConnectionRefreshToken client_connection_refresh_token = 46;`

Specified by:
  `hasClientConnectionRefreshToken` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the clientConnectionRefreshToken field is set.

### getClientConnectionRefreshToken

public ClientWireProtocol.ClientConnectionRefreshToken getClientConnectionRefreshToken()
`.xg.cmdcomp.ClientConnectionRefreshToken client_connection_refresh_token = 46;`

Specified by:
  `getClientConnectionRefreshToken` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The clientConnectionRefreshToken.

### getClientConnectionRefreshTokenOrBuilder

public ClientWireProtocol.ClientConnectionRefreshTokenOrBuilder getClientConnectionRefreshTokenOrBuilder()
`.xg.cmdcomp.ClientConnectionRefreshToken client_connection_refresh_token = 46;`

Specified by:
  `getClientConnectionRefreshTokenOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### hasFetchAuthenticators

public boolean hasFetchAuthenticators()
`.xg.cmdcomp.FetchAuthenticators fetch_authenticators = 51;`

Specified by:
  `hasFetchAuthenticators` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the fetchAuthenticators field is set.

### getFetchAuthenticators

public ClientWireProtocol.FetchAuthenticators getFetchAuthenticators()
`.xg.cmdcomp.FetchAuthenticators fetch_authenticators = 51;`

Specified by:
  `getFetchAuthenticators` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The fetchAuthenticators.

### getFetchAuthenticatorsOrBuilder

public ClientWireProtocol.FetchAuthenticatorsOrBuilder getFetchAuthenticatorsOrBuilder()
`.xg.cmdcomp.FetchAuthenticators fetch_authenticators = 51;`

Specified by:
  `getFetchAuthenticatorsOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

### writeTo

public void writeTo(com.google.protobuf.CodedOutputStream output) throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

### equals

public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

### parseFrom

public static ClientWireProtocol.Request parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.Request parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.Request parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.Request parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.Request parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.Request parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.Request parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.Request parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static ClientWireProtocol.Request parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static ClientWireProtocol.Request parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.Request parseFrom(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.Request parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public ClientWireProtocol.Request.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

public static ClientWireProtocol.Request.Builder newBuilder()

### newBuilder

public static ClientWireProtocol.Request.Builder newBuilder(ClientWireProtocol.Request prototype)

### toBuilder

public ClientWireProtocol.Request.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

protected ClientWireProtocol.Request.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstance

public static ClientWireProtocol.Request getDefaultInstance()

### parser

public static com.google.protobuf.Parser<ClientWireProtocol.Request> parser()

### getParserForType

public com.google.protobuf.Parser<ClientWireProtocol.Request> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstanceForType

public ClientWireProtocol.Request getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`